Register Governed Agent
POST
/v1/governance/agents
const url = 'https://example.com/v1/governance/agents';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"agentName":"example","tenantId":"example","ownerType":"example","ownerRef":"example","teamRef":"example","businessSponsor":"example","riskTier":"example","approvedRuntime":"example","createdBy":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/governance/agents \ --header 'Content-Type: application/json' \ --data '{ "agentName": "example", "tenantId": "example", "ownerType": "example", "ownerRef": "example", "teamRef": "example", "businessSponsor": "example", "riskTier": "example", "approvedRuntime": "example", "createdBy": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
RegisterGovernedAgentRequest
object
agentName
required
Agentname
string
tenantId
required
Tenantid
string
ownerType
required
Ownertype
string
ownerRef
required
Ownerref
string
Example generated
{ "agentName": "example", "tenantId": "example", "ownerType": "example", "ownerRef": "example", "teamRef": "example", "businessSponsor": "example", "riskTier": "example", "approvedRuntime": "example", "createdBy": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}